karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Achim Nierbeck <bcanh...@googlemail.com>
Subject Re: Karaf 4.1 switch to Java 8
Date Fri, 12 Feb 2016 13:43:29 GMT
Hi Arnaud,

Thanks for the hint, yes this should be upgraded.

Regards, Achim

sent from mobile device
Am 12.02.2016 2:39 nachm. schrieb "Arnaud Vandyck" <avandyck@gmail.com>:

> On Fri, 2016-02-12 at 09:43 +0100, Jean-Baptiste Onofré wrote:
> > Hi Arnaud,
> >
> > it's already done: master (4.1.x) is Java 8 only (and it's the way
> > it's configured on Jenkins).
>
> According to the pom
>
> > > [1] https://github.com/apache/karaf/blob/master/pom.xml
>
> I see this configuration for the maven-compiler-plugin
>
>     <plugin>
>         <groupId>org.apache.maven.plugins</groupId>
>         <artifactId>maven-compiler-plugin</artifactId>
>         <configuration>
>             <source>1.7</source>
>             <target>1.7</target>
>             <maxmem>256M</maxmem>
>             <fork>${compiler.fork}</fork>
>         </configuration>
>     </plugin>
>
> Also the maven-enforcer-plugin, requireJavaVersion is [1.7,1.9).
>
> Shouldn't these configurations be updated to 1.8 instead of 1.7?
>
> The switch to java 8 is only to build and run karaf, the source code
> and target will not be java 8?
>
> Cheers,
>
> --
> Arnaud Vandyck <avandyck@gmail.com>
>
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message